> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://next.developer.frame.io/platform/v4-experimental/api-reference/metadata/bulk-update/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server. # Update metadata across multiple files PATCH https://api.frame.io/v4/accounts/{account_id}/projects/{project_id}/metadata/values Content-Type: application/json Update metadata values across multiple files. This endpoint has been added to `Current Version` of the API. Please see [https://developer.adobe.com/frameio/api/current/#tag/Files/operation/metadata.bulk\_update](https://developer.adobe.com/frameio/api/current/#tag/Files/operation/metadata.bulk_update). Rate Limits: 10 calls per 1.00 minute(s) per account\_user Reference: https://next.developer.frame.io/platform/api-reference/metadata/bulk-update ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `account_id` (string, required) - `project_id` (string, required) ### Headers - `api-version` (enum, required) - Allowed values: `experimental` ### Body (application/json) This endpoint expects a BulkUpdateMetadataParams. - `data` (BulkUpdateMetadataParamsData, required) ## Response ### 204 No Content ## Errors ### 400 Bad Request Error Bad request - `errors` (list of BadRequestErrorsItems, required) ### 401 Unauthorized Error Unauthorized - `errors` (list of UnauthorizedErrorsItems, required) ### 403 Forbidden Error Forbidden - `errors` (list of ForbiddenErrorsItems, required) ### 404 Not Found Error Not found - `errors` (list of NotFoundErrorsItems, required) ### 409 Conflict Error Conflict - `errors` (list of ConflictErrorsItems, required) ### 422 Unprocessable Entity Error Unprocessable content - `errors` (list of UnprocessableContentErrorsItems, required) ### 429 Too Many Requests Error Too many requests - `errors` (list of TooManyRequestsErrorsItems, required) ## Types ### BulkUpdateMetadataParamsData - `file_ids` (list of string, required) — Files for bulk updates - `values` (list of BulkUpdateMetadataParamsDataValuesItems, required) — Metadata field and value mapping params. Note: Select and MultiSelect field values should be passed as lists, eg: \[\]. Users and MultiUser values should be passed as lists formatted as follows: \[%\{id: \, type: "user"}, %\{id: \, type: "account\_user\_group"} ### BadRequestErrorsItems - `detail` (string, required) - `source` (BadRequestErrorsItemsSource, optional) - `title` (string, optional) ### UnauthorizedErrorsItems - `detail` (string, required) - `source` (UnauthorizedErrorsItemsSource, optional) - `title` (string, optional) ### ForbiddenErrorsItems - `detail` (string, required) - `source` (ForbiddenErrorsItemsSource, optional) - `title` (string, optional) ### NotFoundErrorsItems - `detail` (string, required) - `source` (NotFoundErrorsItemsSource, optional) - `title` (string, optional) ### ConflictErrorsItems - `detail` (string, required) - `source` (ConflictErrorsItemsSource, optional) - `title` (string, optional) ### UnprocessableContentErrorsItems - `detail` (string, required) - `source` (UnprocessableContentErrorsItemsSource, optional) - `title` (string, optional) ### TooManyRequestsErrorsItems - `detail` (string, required) - `source` (TooManyRequestsErrorsItemsSource, optional) - `title` (string, optional) ### BulkUpdateMetadataParamsDataValuesItems - `field_definition_id` (string, required) - `value` (any, required) ### BadRequestErrorsItemsSource - `pointer` (string, optional) ### UnauthorizedErrorsItemsSource - `pointer` (string, optional) ### ForbiddenErrorsItemsSource - `pointer` (string, optional) ### NotFoundErrorsItemsSource - `pointer` (string, optional) ### ConflictErrorsItemsSource - `pointer` (string, optional) ### UnprocessableContentErrorsItemsSource - `pointer` (string, optional) ### TooManyRequestsErrorsItemsSource - `pointer` (string, optional) ## Examples **Request** ```json { "data": { "file_ids": [ "07cb2164-2f15-4737-98c7-dc109f9094c6", "16c1bada-e4ff-401c-862e-924d97a222c1" ], "values": [ { "field_definition_id": "460de75b-8541-45d3-9c4e-4f1e1016b7ff", "value": "active" }, { "field_definition_id": "76103f49-94f1-4cfa-af09-e0333678ed09", "value": 5 }, { "field_definition_id": "f5a047d9-bfd6-4ab4-b664-57712f5bf32b", "value": "868b5034-514e-41ff-9b0d-ca46af9e2414" } ] } } ``` **SDK Code** ```python import requests url = "https://api.frame.io/v4/accounts/173f5baa-35fd-4116-849f-39db30114f82/projects/38c154ef-8f84-4817-8385-bfc7adb0ee37/metadata/values" payload = { "data": { "file_ids": ["07cb2164-2f15-4737-98c7-dc109f9094c6", "16c1bada-e4ff-401c-862e-924d97a222c1"], "values": [ { "field_definition_id": "460de75b-8541-45d3-9c4e-4f1e1016b7ff", "value": "active" }, { "field_definition_id": "76103f49-94f1-4cfa-af09-e0333678ed09", "value": 5 }, { "field_definition_id": "f5a047d9-bfd6-4ab4-b664-57712f5bf32b", "value": "868b5034-514e-41ff-9b0d-ca46af9e2414" } ] } } headers = { "api-version": "experimental", "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.frame.io/v4/accounts/173f5baa-35fd-4116-849f-39db30114f82/projects/38c154ef-8f84-4817-8385-bfc7adb0ee37/metadata/values'; const options = { method: 'PATCH', headers: { 'api-version': 'experimental', Authorization: 'Bearer ', 'Content-Type': 'application/json' }, body: '{"data":{"file_ids":["07cb2164-2f15-4737-98c7-dc109f9094c6","16c1bada-e4ff-401c-862e-924d97a222c1"],"values":[{"field_definition_id":"460de75b-8541-45d3-9c4e-4f1e1016b7ff","value":"active"},{"field_definition_id":"76103f49-94f1-4cfa-af09-e0333678ed09","value":5},{"field_definition_id":"f5a047d9-bfd6-4ab4-b664-57712f5bf32b","value":"868b5034-514e-41ff-9b0d-ca46af9e2414"}]}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.frame.io/v4/accounts/173f5baa-35fd-4116-849f-39db30114f82/projects/38c154ef-8f84-4817-8385-bfc7adb0ee37/metadata/values" payload := strings.NewReader("{\n \"data\": {\n \"file_ids\": [\n \"07cb2164-2f15-4737-98c7-dc109f9094c6\",\n \"16c1bada-e4ff-401c-862e-924d97a222c1\"\n ],\n \"values\": [\n {\n \"field_definition_id\": \"460de75b-8541-45d3-9c4e-4f1e1016b7ff\",\n \"value\": \"active\"\n },\n {\n \"field_definition_id\": \"76103f49-94f1-4cfa-af09-e0333678ed09\",\n \"value\": 5\n },\n {\n \"field_definition_id\": \"f5a047d9-bfd6-4ab4-b664-57712f5bf32b\",\n \"value\": \"868b5034-514e-41ff-9b0d-ca46af9e2414\"\n }\n ]\n }\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("api-version", "experimental") req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.frame.io/v4/accounts/173f5baa-35fd-4116-849f-39db30114f82/projects/38c154ef-8f84-4817-8385-bfc7adb0ee37/metadata/values") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["api-version"] = 'experimental' request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"data\": {\n \"file_ids\": [\n \"07cb2164-2f15-4737-98c7-dc109f9094c6\",\n \"16c1bada-e4ff-401c-862e-924d97a222c1\"\n ],\n \"values\": [\n {\n \"field_definition_id\": \"460de75b-8541-45d3-9c4e-4f1e1016b7ff\",\n \"value\": \"active\"\n },\n {\n \"field_definition_id\": \"76103f49-94f1-4cfa-af09-e0333678ed09\",\n \"value\": 5\n },\n {\n \"field_definition_id\": \"f5a047d9-bfd6-4ab4-b664-57712f5bf32b\",\n \"value\": \"868b5034-514e-41ff-9b0d-ca46af9e2414\"\n }\n ]\n }\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.frame.io/v4/accounts/173f5baa-35fd-4116-849f-39db30114f82/projects/38c154ef-8f84-4817-8385-bfc7adb0ee37/metadata/values") .header("api-version", "experimental") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"data\": {\n \"file_ids\": [\n \"07cb2164-2f15-4737-98c7-dc109f9094c6\",\n \"16c1bada-e4ff-401c-862e-924d97a222c1\"\n ],\n \"values\": [\n {\n \"field_definition_id\": \"460de75b-8541-45d3-9c4e-4f1e1016b7ff\",\n \"value\": \"active\"\n },\n {\n \"field_definition_id\": \"76103f49-94f1-4cfa-af09-e0333678ed09\",\n \"value\": 5\n },\n {\n \"field_definition_id\": \"f5a047d9-bfd6-4ab4-b664-57712f5bf32b\",\n \"value\": \"868b5034-514e-41ff-9b0d-ca46af9e2414\"\n }\n ]\n }\n}") .asString(); ``` ```php request('PATCH', 'https://api.frame.io/v4/accounts/173f5baa-35fd-4116-849f-39db30114f82/projects/38c154ef-8f84-4817-8385-bfc7adb0ee37/metadata/values', [ 'body' => '{ "data": { "file_ids": [ "07cb2164-2f15-4737-98c7-dc109f9094c6", "16c1bada-e4ff-401c-862e-924d97a222c1" ], "values": [ { "field_definition_id": "460de75b-8541-45d3-9c4e-4f1e1016b7ff", "value": "active" }, { "field_definition_id": "76103f49-94f1-4cfa-af09-e0333678ed09", "value": 5 }, { "field_definition_id": "f5a047d9-bfd6-4ab4-b664-57712f5bf32b", "value": "868b5034-514e-41ff-9b0d-ca46af9e2414" } ] } }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', 'api-version' => 'experimental', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.frame.io/v4/accounts/173f5baa-35fd-4116-849f-39db30114f82/projects/38c154ef-8f84-4817-8385-bfc7adb0ee37/metadata/values"); var request = new RestRequest(Method.PATCH); request.AddHeader("api-version", "experimental"); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"data\": {\n \"file_ids\": [\n \"07cb2164-2f15-4737-98c7-dc109f9094c6\",\n \"16c1bada-e4ff-401c-862e-924d97a222c1\"\n ],\n \"values\": [\n {\n \"field_definition_id\": \"460de75b-8541-45d3-9c4e-4f1e1016b7ff\",\n \"value\": \"active\"\n },\n {\n \"field_definition_id\": \"76103f49-94f1-4cfa-af09-e0333678ed09\",\n \"value\": 5\n },\n {\n \"field_definition_id\": \"f5a047d9-bfd6-4ab4-b664-57712f5bf32b\",\n \"value\": \"868b5034-514e-41ff-9b0d-ca46af9e2414\"\n }\n ]\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "api-version": "experimental", "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["data": [ "file_ids": ["07cb2164-2f15-4737-98c7-dc109f9094c6", "16c1bada-e4ff-401c-862e-924d97a222c1"], "values": [ [ "field_definition_id": "460de75b-8541-45d3-9c4e-4f1e1016b7ff", "value": "active" ], [ "field_definition_id": "76103f49-94f1-4cfa-af09-e0333678ed09", "value": 5 ], [ "field_definition_id": "f5a047d9-bfd6-4ab4-b664-57712f5bf32b", "value": "868b5034-514e-41ff-9b0d-ca46af9e2414" ] ] ]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/173f5baa-35fd-4116-849f-39db30114f82/projects/38c154ef-8f84-4817-8385-bfc7adb0ee37/metadata/values")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```